Loading...
Searching...
No Matches
L4Re::Util::Video::Goos_svr Class Reference
L4Re C++ Interface » L4Re Util C++ Interface

Goos server class. More...

`#include <goos_svr>`

Collaboration diagram for L4Re::Util::Video::Goos_svr:

## Public Member Functions

L4::Cap< L4Re::Dataspace > | get_fb () const
| Return framebuffer memory dataspace.
L4Re::Video::Goos::Info const * | screen_info () const
| Goos information structure.
L4Re::Video::View::Info const * | view_info () const
| View information structure.
virtual int | refresh (int x, int y, int w, int h)
| Refresh area of the framebuffer.
void | init_infos ()
| Initialize the view information structure of this object.
virtual | ~Goos_svr ()
| Destructor.

## Protected Attributes

L4::Cap< L4Re::Dataspace > | _fb_ds
| Goos memory dataspace.
L4Re::Video::Goos::Info | _screen_info
| Goos information.
L4Re::Video::View::Info | _view_info
| View information.

## Detailed Description

Goos server class.

Definition at line 25 of file goos_svr.

## Member Function Documentation

## get_fb()

L4::Cap< L4Re::Dataspace > L4Re::Util::Video::Goos_svr::get_fb | ( |  | ) | const

inline

Return framebuffer memory dataspace.

Returns
  Goos memory dataspace

Definition at line 42 of file goos_svr.

References _fb_ds.

## init_infos()

void L4Re::Util::Video::Goos_svr::init_infos | ( |  | ) |

inline

Initialize the view information structure of this object.

This function initializes the view info structure of this goos object based on the information in the goos information, i.e. the width, height and pixel_info of the goos information has to contain valid values before calling init_info().

Definition at line 78 of file goos_svr.

References _screen_info, and _view_info.

## refresh()

virtual int L4Re::Util::Video::Goos_svr::refresh | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h )

inlinevirtual

Refresh area of the framebuffer.

Parameters

  x | X coordinate (pixels)
  y | Y coordinate (pixels)
  w | Width of area in pixels
  h | Height of area in pixels

Returns
  0 on success, negative error code otherwise

Definition at line 66 of file goos_svr.

References L4_ENOSYS.

## screen_info()

L4Re::Video::Goos::Info const * L4Re::Util::Video::Goos_svr::screen_info | ( |  | ) | const

inline

Goos information structure.

Returns
  Return goos information structure.

Definition at line 48 of file goos_svr.

References _screen_info.

## view_info()

L4Re::Video::View::Info const * L4Re::Util::Video::Goos_svr::view_info | ( |  | ) | const

inline

View information structure.

Returns
  Return view information structure.

Definition at line 54 of file goos_svr.

References _view_info.

The documentation for this class was generated from the following file:

- l4/re/util/video/goos_svr